import { Injectable } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import { SafeUrl } from '@angular/platform-browser/platform-browser';

@Injectable()
export class LogoutDataService {
    private profileImgUrl: Subject<SafeUrl> = new Subject<SafeUrl>();

    public profileImgUrl$ = this.profileImgUrl.asObservable();

    setProfileImg(img: SafeUrl) {
      this.profileImgUrl.next(img);
    }
}
